-- name:   crtOnlineItems_cloudscape.sql
-- type:   SQL Command Line Processor
--
-- This file contains SQL commands to create and populate the
-- OnlineItem table for the iSeries database.


create schema ejb;

drop table ejb.OnlineItem;
create table ejb.OnlineItem
(
  ItemTypeId    int NOT NULL,
  CatalogNumber int,
  Title         char(75),
  Description   varchar(2000),
  Value         bigint,
  StartingBid   bigint,
  ImageLocn     varchar(100),
  ImageLocnSm   varchar(100),
  LastBid       bigint,
  LastBidder    varchar(100),
  PRIMARY KEY(ItemTypeId)
);


-- NameValue table - Like a registry, it is a way to save some name value pairs
drop table ejb.namevalue;
create table ejb.namevalue
(
  name      char(10) not null,
  ivalue    int,
  svalue    char(100),
  primary key(name)
);


-- load sample data
insert into ejb.OnlineItem values
(
        1, 1, 'Yellow Tulips: Vase of Flowers', 'Crystal handmade vase with fresh yellow tulips.', 10000, 2000, '3052.gif', '3052sm.gif', null, null
);

insert into ejb.OnlineItem values
(
        2, 2, 'Springtime Flowers', 'Wrought iron pot with fresh springtime assortment. Included in this beautiful arrangement are rare pink roses and tropical citrus branches.', 20000, 3500, '3048.gif', '3048sm.gif', null, null
);

insert into ejb.OnlineItem values
(
        3, 3, 'Yellow and Pink Roses in a Vase', 'This superb arrangement is made of fresh long-stem baby pink and yellow roses. Comes with a ceramic indigo vase.', 25000, 5000, '3075.gif', '3075sm.gif', null, null
);

